# TdApi.PaymentFormTheme (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: PaymentFormTheme

Package it.tdlight.jni

# Class TdApi.PaymentFormTheme

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PaymentFormTheme

Enclosing class:
  TdApi

    public static class TdApi.PaymentFormTheme
    extends TdApi.Object

Theme colors for a payment form.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`int` | `backgroundColor` | A color of the payment form background in the RGB24 format.
`int` | `buttonColor` | A color of thebuttons in the RGB24 format.
`int` | `buttonTextColor` | A color of text on the buttons in the RGB24 format.
`static int` | `CONSTRUCTOR` |
`int` | `hintColor` | A color of hints in the RGB24 format.
`int` | `linkColor` | A color of links in the RGB24 format.
`int` | `textColor` | A color of text in the RGB24 format.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`PaymentFormTheme()` | Theme colors for a payment form.
`PaymentFormTheme​(int backgroundColor, int textColor, int hintColor, int linkColor, int buttonColor, int buttonTextColor)` | Theme colors for a payment form.
`PaymentFormTheme​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### backgroundColor

public int backgroundColor
A color of the payment form background in the RGB24 format.

### textColor

public int textColor
A color of text in the RGB24 format.

### hintColor

public int hintColor
A color of hints in the RGB24 format.

### linkColor

public int linkColor
A color of links in the RGB24 format.

### buttonColor

public int buttonColor
A color of thebuttons in the RGB24 format.

### buttonTextColor

public int buttonTextColor
A color of text on the buttons in the RGB24 format.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### PaymentFormTheme

public PaymentFormTheme()
Theme colors for a payment form.

### PaymentFormTheme

public PaymentFormTheme​(int backgroundColor, int textColor, int hintColor, int linkColor, int buttonColor, int buttonTextColor)
Theme colors for a payment form.

Parameters:
  `backgroundColor` - int A color of the payment form background in the RGB24 format.
  `textColor` - int A color of text in the RGB24 format.
  `hintColor` - int A color of hints in the RGB24 format.
  `linkColor` - int A color of links in the RGB24 format.
  `buttonColor` - int A color of thebuttons in the RGB24 format.
  `buttonTextColor` - int A color of text on the buttons in the RGB24 format.

### PaymentFormTheme

public PaymentFormTheme​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`